#!/bin/sh
# Copyright (c) 2004
#     Stephan Schmieder <ssc@unix-geek.info>.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY STEPHAN SCHMIEDER AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL STEPHAN SCHMIEDER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.

# definitions
BIN_DEST='/usr/local/sbin'
MAN_DEST='/usr/local/man'
ECHO='/bin/echo'
CP='/bin/cp'
CHMOD='/bin/chmod'
CHOWN='/usr/sbin/chown'

validate() {
  if [ $? == 0 ]
  then
    $ECHO -n ".";
  else
    $ECHO "failed";
    exit 1;
  fi
}

$ECHO -n "Installing Snort2PF  Daemon        "
$CP snort2pf $BIN_DEST/snort2pf; validate
$CHOWN root.bin $BIN_DEST/snort2pf; validate
$CHMOD 0755 $BIN_DEST/snort2pf; validate
$ECHO "done";

$ECHO -n "Installing IDPS-Info Tool          "
$CP idpsinfo $BIN_DEST/idpsinfo; validate
$CHOWN root.bin $BIN_DEST/idpsinfo; validate
$CHMOD 0755 $BIN_DEST/idpsinfo; validate
$ECHO "done";

$ECHO -n "Installing Snort2PF  Documentation "
$CP snort2pf.8 $MAN_DEST/man8/snort2pf.8; validate
$CHOWN root.bin $MAN_DEST/man8/snort2pf.8; validate
$CHMOD 0444 $MAN_DEST/man8/snort2pf.8; validate
$ECHO "done";

$ECHO -n "Installing IDPS-Info Documentation "
$CP idpsinfo.1 $MAN_DEST/man1/idpsinfo.1; validate
$CHOWN root.bin $MAN_DEST/man1/idpsinfo.1; validate
$CHMOD 0444 $MAN_DEST/man1/idpsinfo.1; validate
$ECHO "done";

$ECHO
$ECHO "    Don't forget to add a line saying "
$ECHO "    'anchor snort2pf' to your /etc/pf.conf!"
